For the complete documentation index, see llms.txt.

Manifests
GET/api/manifests

Get Manifests

Retrieve a list of manifests. Results are ordered by date in descending order.

View as MarkdownCopy for LLM

Manifests

Create manifests and retrieve manifest data for carrier handover.

4 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/manifests

Details

Retrieve a list of manifests. Results are ordered by date in descending order.

Request Parameters

Parameter Type Description
page (optional) integer Page to show. Default: 1
limit (optional) integer Maximum number of records in the result. Default: 50. Maximum: 250

Get Manifests Response

Attribute Type Description
manifests object list Records for the manifests matching the supplied criteria (Manifests Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)
total_pages integer Total number of pages containing records
total_count interger Total number of manifest records

Get Manifests - Manifests Model

Attribute Type Description
id integer The unique identifier for the manifest
name string Name of this manifest
date datetime The date the manifest was submitted
number integer Manifest number
numberarticles integer Number of packages on this manifest
numberconsigments integer Number of consignments on this manifest
filename1 string Name of the first manifest file
filename2 string Name of the second manifest file
carrierid shortint Unique id of the carrier for this manifest

Response examples

Get Manifests (200)
{
    "manifests": [
        {
            "id": 2635340,
            "name": "carrier_name",
            "date": "2021-01-21T16:19:09.9573432",
            "number": 2,
            "numberArticles": 1,
            "numberConsignments": 1,
            "fileName1": "https://www.url.com/manifest.xml",
            "fileName2": "https://www.url.com/manifest.pdf",
            "carrierId": 2
        }
    ],
    "total_pages": 12,
    "total_count": 12,
    "success": true
}

Related endpoints